Skip to main content

Get Download Token

Endpoint: /artifact/getDownloadToken

This endpoint generates a secure, one-time-use token that can be used to download an artifact file.

Which Artifacts Are Downloadable?

This endpoint is only for artifact types that represent a physical file, such as MEETING_SUMMARY or SPEECH_TRANSCRIPTION. It will not work for metadata-only artifacts like MEETING_SUMMARY_USAGE.

Request Parameters​

FieldTypeRequiredDescription
artifact_idstringYesThe unique identifier of the artifact.

Example Request​

{
"artifact_id": "ARTIFACT_ID"
}

Response​

FieldTypeDescription
statusbooleanIndicates if the request was successful.
msgstringResponse message.
status_codestringResponse status code.
tokenstringThe one-time-use download token.

After receiving the token, you can provide the following download URL to your user: https://Your-Plug-N-Meet-Server.com/download/artifact/THE_TOKEN_HERE

Downloading meeting analytics?

For the full workflow — list MEETING_ANALYTICS artifacts, download the JSON, and format it into attendance and engagement reports with the PHP SDK — see the Meeting Analytics & Reports guide.